body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 0;
    text-align: center;
}

.container {
    background: white;
    padding: 20px;
    margin: 50px auto;
    width: 50%;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

h1 {
    color: #333;
}

p {
    font-size: 16px;
    color: #555;
}

form {
    margin-top: 20px;
}

label {
    display: block;
    margin-top: 10px;
    font-weight: bold;
    font-size: 1.2em;
}

select, button {
    padding: 10px;
    margin-top: 5px;
    width: 60%;
    font-size: 16px;
    text-align: center;
}

button {
    background: #007BFF;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    text-align: center;
}

button:hover {
    background: #0056b3;
}

input {
    /*width: 60%; /* Expand input fields */
    text-align: center;
    font-size: 1.2em;
}

/* Default styling (for larger screens) */
.container {
    width: 60%;
    margin: 50px auto;
    padding: 20px;
    border-radius: 10px;
    background: #fff;
}

/* Mobile-specific styling */
@media screen and (max-width: 768px) {
    .container {
        width: 90%; /* Make the content take up more space */
        margin: 10px auto; /* Reduce top/bottom margin */
        padding: 5px; /* Reduce padding */
    }

    button {
        width: 60%; /* Make buttons full width */
        font-size: 1.2em; /* Make text slightly bigger */
        text-align: center;
    }

    input {
        width: 60%; /* Expand input fields */
        text-align: center;
    }
    th, td {
        font-size: 0.8em;
    }
}

.card-table {
    display: flex;
    justify-content: center;
    margin: 5px auto;
}

.solution-table tr:nth-child(even) {
    background-color: #f5f5f5; /* Light shading for every second row */
}

table {
    border-collapse: collapse;
    text-align: center;
}

th, td {
    border: 1px solid black;
    padding: 5px;
    vertical-align: top;
    font-size: 0.9em;
}

.card-table td:nth-child(2), .card-table td:nth-child(4), .card-table td:nth-child(6) {
    background-color: #f5f5f5; /* Light shading for Deck B, D, and F */
}

th {
    background-color: #e0e0e0;
}

.reveal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 1);
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2em;
    z-index: 10;
    transition: opacity 1s ease;
    cursor: pointer;
}

.reveal-overlay.fade-out {
    opacity: 0;
    pointer-events: none;
}
